<?php

declare(strict_types=1);

namespace Monsieurbiz\SyliusSearchPlugin\DependencyInjection;

use Symfony\Component\Config\Definition\Builder\TreeBuilder;
use Symfony\Component\Config\Definition\ConfigurationInterface;

final class Configuration implements ConfigurationInterface
{
    /**
     * {@inheritdoc}
     */
    public function getConfigTreeBuilder(): TreeBuilder
    {
        $treeBuilder = new TreeBuilder('monsieurbiz_sylius_search');
        if (\method_exists($treeBuilder, 'getRootNode')) {
            $rootNode = $treeBuilder->getRootNode();
        } else {
            // BC layer for symfony/config 4.1 and older
            $rootNode = $treeBuilder->root('monsieurbiz_sylius_search');
        }

        $rootNode
            ->children()
            ->scalarNode('search_file')->end()
            ->scalarNode('instant_file')->end()
            ->variableNode('documentable_classes')->end()
            ->end()
        ;

        return $treeBuilder;
    }
}
